=== modified file 'bzrlib/tests/per_repository/test_commit_builder.py'
--- bzrlib/tests/per_repository/test_commit_builder.py	2011-05-04 13:00:00 +0000
+++ bzrlib/tests/per_repository/test_commit_builder.py	2011-05-13 08:36:56 +0000
@@ -241,11 +241,11 @@
         try:
             self.build_tree(['foo'])
             tree.add('foo', 'foo-id')
+            builder = tree.branch.get_commit_builder([])
+            if not builder.supports_record_entry_contents:
+                raise tests.TestNotApplicable("CommitBuilder doesn't support "
+                    "record_entry_contents")
             entry = tree.inventory['foo-id']
-            builder = tree.branch.get_commit_builder([])
-            if not builder.supports_record_entry_contents:
-                raise tests.TestNotApplicable("CommitBuilder doesn't support "
-                    "record_entry_contents")
             self.assertRaises(errors.RootMissing,
                 builder.record_entry_contents, entry, [], 'foo', tree,
                     tree.path_content_summary('foo'))
@@ -937,10 +937,10 @@
             parent_tree = tree.basis_tree()
             parent_tree.lock_read()
             self.addCleanup(parent_tree.unlock)
-            parent_invs = [parent_tree.inventory]
+            parent_trees = [parent_tree]
             for parent_id in parent_ids[1:]:
-                parent_invs.append(tree.branch.repository.revision_tree(
-                    parent_id).inventory)
+                parent_trees.append(tree.branch.repository.revision_tree(
+                    parent_id))
             changes = list(tree.iter_changes(parent_tree))
             result = list(builder.record_iter_changes(tree, parent_ids[0],
                 changes))

